package teste;

import anywheresoftware.b4a.BA;
import android.view.MotionEvent;
import android.view.MotionEvent;
import com.google.android.glass.touchpad.GestureDetector.TwoFingerScrollListener;
import com.google.android.glass.touchpad.GestureDetector.ScrollListener;
import com.google.android.glass.touchpad.GestureDetector.FingerListener;
import com.google.android.glass.touchpad.GestureDetector.BaseListener;
import anywheresoftware.b4a.BA.ActivityObject;
import anywheresoftware.b4a.BA.Author;
import anywheresoftware.b4a.BA.DependsOn;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;
import com.google.android.glass.touchpad.*;

@ShortName("FirstLib")
@Author("Alberto")
@Version(1.0f)
@ActivityObject
@DependsOn(values = { "gdk" })

/**
* Created with Basic4Android Library Generator - by XverhelstX
*/
public class FirstLib{

	private BA ba;
	private String eventName;
	private GestureDetector gesturedetector;

	public void Initialize(final BA ba, String EventName) {
		this.ba = ba;
		this.eventName = EventName.toLowerCase(BA.cul);
		this.gesturedetector = new GestureDetector();
	}

	public GestureDetector getGestureDetector() {
		return this.gesturedetector;
	}

	public void setGestureDetector(GestureDetector gesturedetector) {
		this.gesturedetector = gesturedetector;
	}

	public void setBaseListener(BaseListener arg0){
		this.gesturedetector.setBaseListener(arg0);
	}

	public void setFingerListener(FingerListener arg0){
		this.gesturedetector.setFingerListener(arg0);
	}

	public void setScrollListener(ScrollListener arg0){
		this.gesturedetector.setScrollListener(arg0);
	}

	public void setTwoFingerScrollListener(TwoFingerScrollListener arg0){
		this.gesturedetector.setTwoFingerScrollListener(arg0);
	}

	public void setAlwaysConsumeEvents(boolean arg0){
		this.gesturedetector.setAlwaysConsumeEvents(arg0);
	}

	public boolean onMotionEvent(MotionEvent arg0){
		return this.gesturedetector.onMotionEvent(MotionEvent arg0);
	}


}
